Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface Metric

All Known Implementing Classes:
  SimpleMetric

public interface Metric

Metric is an interface that describes the metadata surrounding resource properties that are metrics, as defined by the WSDM Metrics capability. It does not represent the Metrics capability itself - that is handled by the Metrics interface. Implementations of this type can be used to store and update the metadata about a metric property as read and write operations are performed against it.

Author:
  Dan Jemiolo (danj)

Field Summary
`static int` | `COUNTER`
`static int` | `GAUGE`
`static int` | `INTERVAL`
`static int` | `ON_CHANGE`
`static int` | `ON_DEMAND`
`static int` | `PERIODIC`
`static int` | `POINT_IN_TIME`
`static int` | `SINCE_RESET`
`static int` | `UNKNOWN`

Method Summary
`java.lang.String` | `getDuration()`
`java.lang.String` | `getGroup()`
`long` | `getInterval()`
`java.lang.String` | `getIntervalString()`
`java.util.Date` | `getLastUpdated()`
`QName` | `getName()`
`java.util.Date` | `getResetAt()`
`WsResource` | `getWsResource()`
`boolean` | `hasBeenReset()`
`boolean` | `isCounter()`
`boolean` | `isGauge()`
`boolean` | `isInterval()`
`boolean` | `isOnChange()`
`boolean` | `isOnDemand()`
`boolean` | `isPeriodic()`
`boolean` | `isPointInTime()`
`boolean` | `isSinceReset()`
`void` | `reset(java.lang.Object value)` Updates the resource property via WSRP and then adjusts the metric metadata to reflect the change.
`void` | `update()` Notifies the metric metadata container that an update to the resource property occurred, so it should adjust the metadata values to reflect this change.

Field Detail

### COUNTER

    public static final int COUNTER

See Also:
  Constant Field Values

### GAUGE

    public static final int GAUGE

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### INTERVAL

    public static final int INTERVAL

See Also:
  Constant Field Values

### POINT_IN_TIME

    public static final int POINT_IN_TIME

See Also:
  Constant Field Values

### SINCE_RESET

    public static final int SINCE_RESET

See Also:
  Constant Field Values

### ON_CHANGE

    public static final int ON_CHANGE

See Also:
  Constant Field Values

### ON_DEMAND

    public static final int ON_DEMAND

See Also:
  Constant Field Values

### PERIODIC

    public static final int PERIODIC

See Also:
  Constant Field Values

Method Detail

### getDuration

    public java.lang.String getDuration()

### getGroup

    public java.lang.String getGroup()

### getInterval

    public long getInterval()

### getIntervalString

    public java.lang.String getIntervalString()

### getLastUpdated

    public java.util.Date getLastUpdated()

### getName

    public QName getName()

  Returns:
    The name of the resource property that this metric represents.

### getResetAt

    public java.util.Date getResetAt()

### getWsResource

    public WsResource getWsResource()

  Returns:
    The resource instance that contains the resource property that this metric represents.

### hasBeenReset

    public boolean hasBeenReset()

  Returns:
    True if no calls to update() have been made since the last call to reset().

### isCounter

    public boolean isCounter()

### isGauge

    public boolean isGauge()

### isInterval

    public boolean isInterval()

### isOnChange

    public boolean isOnChange()

### isOnDemand

    public boolean isOnDemand()

### isPeriodic

    public boolean isPeriodic()

### isPointInTime

    public boolean isPointInTime()

### isSinceReset

    public boolean isSinceReset()

### reset

    public void reset(java.lang.Object value)
               throws BaseFault

  Updates the resource property via WSRP and then adjusts the metric metadata to reflect the change.

  Parameters:
    `value` - The value to be provided to the WSRP implementation when updating the resource property.
  Throws:
    `BaseFault`

### update

    public void update()

  Notifies the metric metadata container that an update to the resource property occurred, so it should adjust the metadata values to reflect this change.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD